package io.gisbi.application.module.service;

import io.gisbi.application.module.domain.Module;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 应用_系统模块 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-03-25
 */
public interface IModuleService extends IService<Module> {

    /**
     * 检查是否存在子节点
     * @param pid 父ID
     * @return 存在返回true
     */
    boolean existsChildrenByPid(String  appId,String pid);

}
