package io.gisbi.application.module.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.gisbi.application.module.domain.Module;
import io.gisbi.application.module.mapper.ModuleMapper;
import io.gisbi.application.module.service.IModuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 应用_系统模块 服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-03-25
 */
@Service
public class ModuleServiceImpl extends ServiceImpl<ModuleMapper, Module> implements IModuleService {
    
    // 新增existsChildrenByPid实现
    @Override
    public boolean existsChildrenByPid(String  appId,String pid) {
        return this.count(new LambdaQueryWrapper<Module>()
                .eq(Module::getAppId, appId).eq(Module::getPid, pid)) > 0;
    }
}